
/* Sito realizzato da Favaro Marco, Alam Roman, Russo Michele */

@font-face {
    font-family: 'SpaceGrotesk';
    src: url('fonts/SpaceGrotesk-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

body, html {
    margin: 0px;
    padding: 0;
    box-sizing: border-box;
    font-family: 'SpaceGrotesk', sans-serif;
    scroll-behavior: smooth;
}

main{
    margin-top: 80px !important;
}


                                                /* I 7 PRINCIPI */

.principi {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 20px;
}

.principio p{
    margin-top: 14%;
    font-family: 'Roboto', sans-serif;
    font-size: 18px;
    color: white;
}

.principio {
    text-decoration: none;
    border: 5px solid #CC0000;
    border-radius: 40px;
    background-color: #CC0000;
    margin: 28px;
    padding: 50px;
    text-align: center;
    transition: transform 0.3s ease;
    position: relative;
}

.principio p:nth-child(2) {
    display: none;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.principio:hover {
    transform: scale(1.6); /* DA Aumento il valore di scale per un ingrandimento maggiore */
}

.principio:hover p:nth-child(2) {
    display: block;
}

#principititolo {
    
    margin-bottom: 3%;
    font-family: 'Roboto', sans-serif;
    font-size: 30px;
    color: black;
    text-align: center;
}

#i7principi{

    margin-top: 7%;
}
                                                /* DIVENTA VOLOTARIO */
#diventavolontario {

    margin-top: 8%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 20px;
    padding-left: 12%;

}

.diventavolontariotesto{
    flex: 1 1 45%;
    margin: 10px;
    margin-top: 3%;

}


#diventavolontariotesto, #diventavolontarioimmagine{

    flex: 1 1 45%;
    margin: 10px;
}

#diventavolontariotesto p{
    font-size: clamp(20px, 50px, 3vw) !important;
    font-family: 'Roboto', sans-serif;
    color: white;
}

#diventavolontarioimmagine img{
    margin-left:20% ;
    width: 79%;
    height: auto;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}


.word_animated{
    font-weight: bold;
    font-size: clamp(30px, 70px, 4vw) !important;
    transition: transform 0.3s ease, color 0.3s ease;
}

.word_animated:hover{
    font-weight: bold;
    transform: scale(1.1) rotate(5deg);
    display: inline-block;
    rotate: 2deg;
}

/* Bottone unisciti  */

@keyframes movimento {
    0% { transform: translateY(0px); }
    50% { transform: translateY(-5px); }
    100% { transform: translateY(0px); }
}

.bottone_unisciti {
    padding: 17px 40px;
    border-radius: 7px;
    cursor: pointer;
    border: 0;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.612) 0px 5px 40px !important;
    text-transform: uppercase;
    font-size: 40px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 800;
    transition: all 0.5s ease;
    animation: movimento 2s infinite ease-in-out;
    color: #cc0000;
}
    

.bottone_unisciti:hover {
    letter-spacing: 3px;
    background-color: hsl(0, 0%, 100%);
    color: #cc0000;
    box-shadow: rgba(255, 255, 255, 0.26) 0px 7px 29px 0px;
}
    
.bottone_unisciti:active {
    letter-spacing: 4px;
    background-color: hsl(0, 0%, 100%);
    color: #cc0000;
    box-shadow: rgb(255, 255, 255) 0px 0px 0px 0px;
    animation: none;
    transition: transform 0.3s ease;
    transform: translateY(5px) !important;
    transition: 100ms;
}


/* Immagine */
    
@media screen and (max-width: 750px) {
    .immagine_unisciti {
        display: none;
    }

    .ridimensiona{
        margin: 0 auto !important;
    }

    .ridimensiona_titolo{
        padding-left: 5% !important;
        width: 90% !important;
    }

    .img_salute{
        width: 99% !important;
    }

}


.bg_red {
    background-color: #cc0000 !important;
}


@keyframes movimento_2 {
    0% { transform: translateY(0px); }
    50% { transform: translateY(-5px); }
    100% { transform: translateY(0px); }
}

.sostienici_btn {
    padding: 17px 40px;
    border-radius: 7px;
    cursor: pointer;
    border: 0;
    background-color: #cc0000;
    box-shadow: rgba(0, 0, 0, 0.612) 0px 5px 40px !important;
    text-transform: uppercase;
    font-size: 35px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: 800;
    transition: all 0.5s ease;
    animation: movimento_2 2s infinite ease-in-out;
    color: hsl(0, 0%, 100%);
}
    

.sostienici_btn:hover {
    letter-spacing: 2px;
    background-color: #cc0000;
    color: hsl(0, 0%, 100%);
    box-shadow: rgba(255, 255, 255, 0.26) 0px 7px 29px 0px;
}
    
.sostienici_btn:active {
    letter-spacing: 4px;
    background-color: #cc0000;
    color: hsl(0, 0%, 100%);
    box-shadow: rgb(255, 255, 255) 0px 0px 0px 0px;
    animation: none;
    transition: transform 0.3s ease;
    transform: translateY(2px) !important;
    transition: 100ms;
}


/* Immagine */
    
@media screen and (max-width: 750px) {
    .immagine_unisciti {
        display: none;
    }
}